<div class="dialog compare-network-dialog">
  <div class="title">
    <h3>{{ 'NETWORK_DIALOG.COMPARE_NETWORK' | translate }}</h3>
    <i class="icon-icomoon-remove" (click)="onClose()"></i>
  </div>
  <form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="group-container">
    <div *ngFor="let item of dirNetworks | keyvalue; trackBy: trackByFn" class="dir-container">
      <p *ngIf="item.key">{{ item.key }}</p>
      <ng-container *ngFor="let network of item.value; trackBy: trackByFn">
        <geodesign-input-checkbox [defaultCheckbox]="false" [formControlName]="network.name"
                                  [label]="network.name"></geodesign-input-checkbox>
      </ng-container>
    </div>
    <div *ngIf="formGroup.touched" class="errors">
      <mat-error *ngIf="formGroup?.errors?.min"> {{ 'COMPARE_NETWORK.MIN_ERROR' | translate}}</mat-error>
      <mat-error *ngIf="formGroup?.errors?.max"> {{ 'COMPARE_NETWORK.MAX_ERROR' | translate}}</mat-error>
    </div>
    <div class="buttons">
      <geodesign-button styles="primary" type="submit">{{ 'FORM.COMPARE' | translate }}</geodesign-button>
    </div>
  </form>
</div>
